# NEOTICKER DATA BEGIN
ScriptType=Indicator
Description=SR2MidCrossSys
Name=SR2MidCrossSys
Language=Formula
Links=1
MinBars=0
TimerInterval=100
EarlyBinding=0
MetaStyle=Normal
ValueRange=Large Positive
Placement=New Pane
Multiplot_num_plots=1
Multiplot_color_0=33619712
Multiplot_style_0=Line
Multiplot_width_0=1
Multiplot_enabled_0=1
Multiplot_name_0=Equity
Multiplot_breakstyle_0=0
UpdateByTick=0
FloatMarker=1
TradingSystemUI=1
PrimaryLinkOnly=0
NotifyOnRemoval=0
Param_count=1
Param_name_0=Target
Param_inuse_0=1
Param_type_0=real
Param_default_0=0.0003
Explanation_Lines=1
Explanation0=Moving Average (2 Lines) Crossover System with Money Management is an example trading system based on 2 moving averages crossover signals with volatility based money management rules. Require 1 data series (Link 1).
# NEOTICKER DATA END

plot1 := currentequity;

'$long_signal := xabove (data1, data2(1));
'$short_signal := xbelow (data1, data2(1));
$long_signal := xabove (data1.close, xaverage(data1.close,12));
$short_signal := xbelow (data1.close, xaverage(data1.close,12));

'ordersize := param2;

$target_rangeL := openpositionaverageentryprice + param1;

$target_rangeS := openpositionaverageentryprice - param1;

$avg := xaverage(data1,12);
sys_dir := if ($long_signal, 1, if ($short_signal, -1, sys_dir (1)));

'longatmarket ($long_signal > 0,defaultordersize);

'shortatmarket ($short_signal > 0,defaultordersize);


'LongLimit(sys_dir (1) <= 0 and $long_signal > 0,data2(1), defaultordersize, otfGoodTilCancel);

'ShortLimit(sys_dir (1) >= 0 and $short_signal > 0,data2(1), defaultordersize, otfGoodTilCancel);

LongLimit(sys_dir (1) <= 0 and $long_signal > 0,$avg, defaultordersize, otfGoodTilCancel);

ShortLimit(sys_dir (1) >= 0 and $short_signal > 0,$avg, defaultordersize, otfGoodTilCancel);

longexitlimit (openpositionlong > 0 and data1.bidprice >= $target_rangeL, data1.bidprice, openpositionabssize);

shortexitlimit (openpositionshort > 0 and data1.askprice <= $target_rangeS, data1.askprice,   openpositionabssize);
