# NEOTICKER DATA BEGIN
ScriptType=Indicator
Description=SR Buy Sell System
Name=SRBuySellSys
Language=Formula
Links=3
MinBars=0
TimerInterval=100
EarlyBinding=0
MetaStyle=Normal
ValueRange=Large Positive
Placement=New Pane
Multiplot_num_plots=1
Multiplot_color_0=33619712
Multiplot_style_0=Line
Multiplot_width_0=1
Multiplot_enabled_0=1
Multiplot_name_0=Equity
Multiplot_breakstyle_0=0
UpdateByTick=0
FloatMarker=1
TradingSystemUI=1
PrimaryLinkOnly=0
NotifyOnRemoval=0
Param_count=1
Param_name_0=Target
Param_inuse_0=1
Param_type_0=real
Param_default_0=0.0003
Explanation_Lines=1
Explanation0=Moving Average (2 Lines) Crossover System with Money Management is an example trading system based on 2 moving averages crossover signals with volatility based money management rules. Require 1 data series (Link 1).
# NEOTICKER DATA END

plot1 := currentequity;

$long_signal := data1 > data3.close(1);
$short_signal := data1 < data2.close(1);

$target_rangeL := openpositionaverageentryprice + 0.0003;

$target_rangeS := openpositionaverageentryprice + 0.0003;

'sys_dir := if ($long_signal, 1, if ($short_signal, -1, sys_dir (1)));

'longatmarket (sys_dir (1) <= 0 and $long_signal > 0,defaultordersize);

LongLimit($long_signal =1,data3.close(1), defaultordersize, otfGoodTilCancel);
ShortLimit($short_signal =1,data2.close(1), defaultordersize, otfGoodTilCancel);

'shortatmarket (sys_dir (1) >= 0 and $short_signal > 0,defaultordersize);

longexitlimit (openpositionlong > 0 and data1.askprice <= $target_rangeL, data1.askprice, openpositionabssize);

shortexitlimit (openpositionshort > 0 and data1.bidprice >= $target_rangeS, data1.bidprice, openpositionabssize);

'shortexitatmarket (openpositionshort > 0 and data1 <= $target_rangeS,openpositionabssize);
'longexitlimit (data1 >= $target_rangeL and openpositionlong > 0,openpositionabssize);
